From: <a href="/blend/av.cgi?id=23">Kirk</a><BR>
Date: 7 April 2008<P>

So that one romance that started up ended. Kind of my doing.<BR>
<BR>
My friend Evil B thinks that, consciously or not, the gal was kind of pulling a "the rules" on me; things weren't a negotiation reflecting the sometimes mutual sometimes conflicting interests, but rather expectations, held quietly 'til I did something that didn't meet 'em. This helped contribute to an overall sense of lack of gratitude for the nice stuff I would ty and do...<BR>
<BR>
Sigh, ah well!
<HR>
From: <a href="/blend/av.cgi?id=1540">hairdiva</a><BR>
Date: 7 April 2008<P>

Aw Kirk, I'm sorry!!  Her loss, really.  The "rules" are a game, really, and not conducive to a mutually-respectful relationship.  <BR>
<BR>
Next!!!<BR>
<BR>

<HR>
From: <a href="/blend/av.cgi?id=7">angel</a><BR>
Date: 7 April 2008<P>

(((Hugs))) for your heart, Kirk :(
<HR>
From: <a href="/blend/av.cgi?id=13">B.K.</a><BR>
Date: 7 April 2008<P>

Kirk; Love is just not easy in this day and age, but keep looking, you just haven't found the right kiss yet. Take heart, she's out there looking for you too.<BR>
<BR>
bk
<HR>